---
title: "Get Tweet Comments - API Reference"
description: "API endpoint to retrieve tweet comments. Flat-rate pricing of $0.0002 per comment, flexible rate limits and no overpriced subscription plans."
source: "https://docs.socialdata.tools/reference/get-tweet-comments/"
---

Returns an array of comments for a given `tweet_id`. This endpoint only works for top-level tweets (i.e. this can’t be used to retrieve comments posted in response to other comments).

GET https://api.socialdata.tools/twitter/tweets/{id}/comments?cursor={cursor}

## Headers

**Authorization** `string` — required

Authorization Bearer header containing your SocialData API key

Example: Bearer YOUR\_API\_KEY

## Path Parameters

**id** `integer` — required

The numerical `id` of the target tweet

Example: 1890269299287441612

**cursor** `string` — optional

Cursor value obtained from `next_cursor` response property. Used to retrieve additional pages for the same query

Example: 1890084840239985036

> **Caution**
> 
> When using languages where the `id` value exceeds the default Integer type limit (e.g., JavaScript), you should store `id` as a String. Use the `id_str` property returned by the API for these values

## Code Examples

#### curl

```shellscript
curl "https://api.socialdata.tools/twitter/tweets/1890269299287441612/comments" \
    -H 'Authorization: Bearer YOUR_API_KEY' \
    -H 'Accept: application/json'
```

#### JavaScript

```js
const tweetId = '1890269299287441612';
const API_KEY = 'YOUR_API_KEY_HERE';

fetch(`https://api.socialdata.tools/twitter/tweets/${tweetId}/comments`, {
    method: 'GET',
    headers: {
        'Authorization': `Bearer ${API_KEY}`,
        'Accept': 'application/json'
    }
})
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
```

#### Python

```python
import requests

tweet_id = '1890269299287441612'
API_KEY = 'YOUR_API_KEY_HERE'

url = f'https://api.socialdata.tools/twitter/tweets/{tweet_id}/comments'

headers = {
    'Authorization': f'Bearer {API_KEY}',
    'Accept': 'application/json'
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    data = response.json()
    print(data)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

#### PHP

```php
$tweet_id = '1890269299287441612';
$API_KEY = 'YOUR_API_KEY_HERE';

$url = "https://api.socialdata.tools/twitter/tweets/{$tweet_id}/comments";

$ch = curl_init();

curl_setopt_array($ch, [
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        "Authorization: Bearer $API_KEY",
        "Accept: application/json"
    ]
]);

$response = curl_exec($ch);
$data = json_decode($response, true);
print_r($data);

curl_close($ch);
```

## Example Responses

#### 200

```json
{
  "tweets": [
    {
      "tweet_created_at": "2025-02-14T12:01:25.000000Z",
      "id": 1890370761136668854,
      "id_str": "1890370761136668854",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk We can’t thank you enough.",
      "source": "<a href=\"https:\/\/mobile.twitter.com\" rel=\"nofollow\">Twitter Web App<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 1366385465096630276,
        "id_str": "1366385465096630276",
        "name": "MYPOTUSTRUMP",
        "screen_name": "11Pythagorean",
        "location": "",
        "url": null,
        "description": "Shorten the refractory period of your emotional reactions-go confidently in the direction of your dreams—live the life you’ve imagined! Catholic #IDONOTCONSENT",
        "protected": false,
        "verified": false,
        "followers_count": 2400,
        "friends_count": 1460,
        "listed_count": 3,
        "favourites_count": 243414,
        "statuses_count": 211500,
        "created_at": "2021-03-01T13:51:11.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1366385465096630276\/1681663176",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1854480101385125894\/uYkO23Fn_normal.jpg",
        "can_dm": true
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": 1,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:01:23.000000Z",
      "id": 1890370752685261025,
      "id_str": "1890370752685261025",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk I’m so blessed",
      "source": "<a href=\"http:\/\/twitter.com\/download\/iphone\" rel=\"nofollow\">Twitter for iPhone<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 1837832148230733824,
        "id_str": "1837832148230733824",
        "name": "Brainey☓Genius✞✨🤍",
        "screen_name": "Braineygenius1",
        "location": "Now you see me",
        "url": "https:\/\/t.me\/braineygeniuss",
        "description": "(Daily Empowerment) The best you can see🤍GOD FIRST🤍 | Positive vibes only | Let’s have fun with #motivation $Crypto",
        "protected": false,
        "verified": false,
        "followers_count": 2081,
        "friends_count": 2836,
        "listed_count": 1,
        "favourites_count": 11569,
        "statuses_count": 12045,
        "created_at": "2024-09-22T12:32:47.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1837832148230733824\/1735860697",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1847964293054054400\/QvCdMzEe_normal.jpg",
        "can_dm": true
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": 1,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:01:08.000000Z",
      "id": 1890370687853879456,
      "id_str": "1890370687853879456",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk 😂👍 https:\/\/t.co\/VqqcUkYlAp",
      "source": "<a href=\"https:\/\/mobile.twitter.com\" rel=\"nofollow\">Twitter Web App<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 1095165610709917696,
        "id_str": "1095165610709917696",
        "name": "Patricia Kenny",
        "screen_name": "Patrici29112448",
        "location": "",
        "url": null,
        "description": "Sticks and Stones,\nDrain the Swamp,\nTrump is My President\nMAGA\nNO DM's, Will Block",
        "protected": false,
        "verified": true,
        "followers_count": 855,
        "friends_count": 937,
        "listed_count": 0,
        "favourites_count": 31161,
        "statuses_count": 12650,
        "created_at": "2019-02-12T03:40:03.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1095165610709917696\/1721095865",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1591595185636532225\/n_voRAhl_normal.jpg",
        "can_dm": false
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": 1,
      "bookmark_count": 0,
      "lang": "qme",
      "entities": {
        "hashtags": [],
        "media": [
          {
            "display_url": "pic.x.com\/VqqcUkYlAp",
            "expanded_url": "https:\/\/x.com\/Patrici29112448\/status\/1890370687853879456\/photo\/1",
            "ext_alt_text": "Cheer Applause GIF by Peanuts",
            "id_str": "1890370681746976768",
            "indices": [
              13,
              36
            ],
            "media_key": "16_1890370681746976768",
            "media_url_https": "https:\/\/pbs.twimg.com\/tweet_video_thumb\/GjvyHpNXcAAs3Lv.jpg",
            "type": "animated_gif",
            "url": "https:\/\/t.co\/VqqcUkYlAp",
            "ext_media_availability": {
              "status": "Available"
            },
            "sizes": {
              "large": {
                "h": 320,
                "w": 480,
                "resize": "fit"
              },
              "medium": {
                "h": 320,
                "w": 480,
                "resize": "fit"
              },
              "small": {
                "h": 320,
                "w": 480,
                "resize": "fit"
              },
              "thumb": {
                "h": 150,
                "w": 150,
                "resize": "crop"
              }
            },
            "original_info": {
              "height": 320,
              "width": 480,
              "focus_rects": []
            },
            "video_info": {
              "aspect_ratio": [
                3,
                2
              ],
              "variants": [
                {
                  "bitrate": 0,
                  "content_type": "video\/mp4",
                  "url": "https:\/\/video.twimg.com\/tweet_video\/GjvyHpNXcAAs3Lv.mp4"
                }
              ]
            },
            "media_results": {
              "result": {
                "media_key": "16_1890370681746976768"
              }
            }
          },
          {
            "display_url": "pic.x.com\/VqqcUkYlAp",
            "expanded_url": "https:\/\/x.com\/Patrici29112448\/status\/1890370687853879456\/photo\/1",
            "ext_alt_text": "Cheer Applause GIF by Peanuts",
            "id_str": "1890370681746976768",
            "indices": [
              13,
              36
            ],
            "media_key": "16_1890370681746976768",
            "media_url_https": "https:\/\/pbs.twimg.com\/tweet_video_thumb\/GjvyHpNXcAAs3Lv.jpg",
            "type": "animated_gif",
            "url": "https:\/\/t.co\/VqqcUkYlAp",
            "ext_media_availability": {
              "status": "Available"
            },
            "sizes": {
              "large": {
                "h": 320,
                "w": 480,
                "resize": "fit"
              },
              "medium": {
                "h": 320,
                "w": 480,
                "resize": "fit"
              },
              "small": {
                "h": 320,
                "w": 480,
                "resize": "fit"
              },
              "thumb": {
                "h": 150,
                "w": 150,
                "resize": "crop"
              }
            },
            "original_info": {
              "height": 320,
              "width": 480,
              "focus_rects": []
            },
            "video_info": {
              "aspect_ratio": [
                3,
                2
              ],
              "variants": [
                {
                  "bitrate": 0,
                  "content_type": "video\/mp4",
                  "url": "https:\/\/video.twimg.com\/tweet_video\/GjvyHpNXcAAs3Lv.mp4"
                }
              ]
            },
            "media_results": {
              "result": {
                "media_key": "16_1890370681746976768"
              }
            }
          }
        ],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:01:04.000000Z",
      "id": 1890370671001157780,
      "id_str": "1890370671001157780",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@BridgetPhetasy @elonmusk I miss the days when politics was boring…",
      "source": "<a href=\"http:\/\/twitter.com\/download\/iphone\" rel=\"nofollow\">Twitter for iPhone<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890270147967086966,
      "in_reply_to_status_id_str": "1890270147967086966",
      "in_reply_to_user_id": 15567770,
      "in_reply_to_user_id_str": "15567770",
      "in_reply_to_screen_name": "BridgetPhetasy",
      "user": {
        "id": 1100406765361995776,
        "id_str": "1100406765361995776",
        "name": "RoccoRoc",
        "screen_name": "RoccoRoc4",
        "location": "Old Bridge, NJ",
        "url": null,
        "description": "",
        "protected": false,
        "verified": false,
        "followers_count": 183,
        "friends_count": 244,
        "listed_count": 2,
        "favourites_count": 21150,
        "statuses_count": 3913,
        "created_at": "2019-02-26T14:46:32.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1100406765361995776\/1551199117",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1100427937575305218\/IqgM06j0_normal.jpg",
        "can_dm": false
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": null,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "15567770",
            "name": "Bridget Phetasy",
            "screen_name": "BridgetPhetasy",
            "indices": [
              0,
              15
            ]
          },
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              16,
              25
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:59.000000Z",
      "id": 1890370650902073538,
      "id_str": "1890370650902073538",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@RealDealAxelrod @elonmusk If they aren’t crooks they have nothing to fear",
      "source": "<a href=\"https:\/\/mobile.twitter.com\" rel=\"nofollow\">Twitter Web App<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890274166118707700,
      "in_reply_to_status_id_str": "1890274166118707700",
      "in_reply_to_user_id": 820808196956655616,
      "in_reply_to_user_id_str": "820808196956655616",
      "in_reply_to_screen_name": "RealDealAxelrod",
      "user": {
        "id": 559832799,
        "id_str": "559832799",
        "name": "Lisa Rand",
        "screen_name": "hotontheside",
        "location": "",
        "url": null,
        "description": "#MAGA #MAHA #Trump2024 #IChooseGreatness #BetterLuckNextHoax #TrumpNowMoreThanEver #NeverSurrender #Trump2024ToSaveAmerica",
        "protected": false,
        "verified": false,
        "followers_count": 2485,
        "friends_count": 3063,
        "listed_count": 6,
        "favourites_count": 185446,
        "statuses_count": 127579,
        "created_at": "2012-04-21T17:54:00.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/559832799\/1721492254",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1854064712440586240\/1w1lB9NQ_normal.jpg",
        "can_dm": false
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": null,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "820808196956655616",
            "name": "A🪓E",
            "screen_name": "RealDealAxelrod",
            "indices": [
              0,
              16
            ]
          },
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              17,
              26
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:57.000000Z",
      "id": 1890370643293589627,
      "id_str": "1890370643293589627",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@Sweetpea222555 @sandiechill @elonmusk No arrests though for fraud... makes you wonder why doesn't it?",
      "source": "<a href=\"http:\/\/twitter.com\/download\/android\" rel=\"nofollow\">Twitter for Android<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890298116588630466,
      "in_reply_to_status_id_str": "1890298116588630466",
      "in_reply_to_user_id": 1827028120903503872,
      "in_reply_to_user_id_str": "1827028120903503872",
      "in_reply_to_screen_name": "Sweetpea222555",
      "user": {
        "id": 1858499115241607169,
        "id_str": "1858499115241607169",
        "name": "Claire Willcox",
        "screen_name": "ClaireWill67096",
        "location": "UK",
        "url": null,
        "description": "Got locked out in the Big Change Over\nFormer account https:\/\/t.co\/EtGIuqf8DB \n#notabot",
        "protected": false,
        "verified": false,
        "followers_count": 7,
        "friends_count": 28,
        "listed_count": 0,
        "favourites_count": 290,
        "statuses_count": 143,
        "created_at": "2024-11-18T13:15:05.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1858499115241607169\/1731944154",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1858585489088901120\/3wDhBGQ3_normal.jpg",
        "can_dm": true
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": null,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "1827028120903503872",
            "name": "Sweetpea",
            "screen_name": "Sweetpea222555",
            "indices": [
              0,
              15
            ]
          },
          {
            "id_str": "301330029",
            "name": "Sandy",
            "screen_name": "sandiechill",
            "indices": [
              16,
              28
            ]
          },
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              29,
              38
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:53.000000Z",
      "id": 1890370625773994283,
      "id_str": "1890370625773994283",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk It’s fun to watch you having fun",
      "source": "<a href=\"http:\/\/twitter.com\/download\/iphone\" rel=\"nofollow\">Twitter for iPhone<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 1519472144018812932,
        "id_str": "1519472144018812932",
        "name": "Sister Mary Chardonnay",
        "screen_name": "cabocynde",
        "location": "Potomac Falls, VA",
        "url": null,
        "description": "Faith Family Freedom 🦅⚓️🌎🇵🇱🇺🇸🐕🐱 #pureblood #FJB #teamelon MAGA MAHA 🚫DM 🚫Porn",
        "protected": false,
        "verified": true,
        "followers_count": 4888,
        "friends_count": 5513,
        "listed_count": 1,
        "favourites_count": 23901,
        "statuses_count": 5376,
        "created_at": "2022-04-28T00:23:02.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1519472144018812932\/1737489370",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1862675707828027392\/Sz8Pr7pa_normal.jpg",
        "can_dm": false
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": null,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:51.000000Z",
      "id": 1890370620535284091,
      "id_str": "1890370620535284091",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk https:\/\/t.co\/aXBzBuUKyz",
      "source": "<a href=\"http:\/\/twitter.com\/download\/iphone\" rel=\"nofollow\">Twitter for iPhone<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 1342515867381334021,
        "id_str": "1342515867381334021",
        "name": "Fox",
        "screen_name": "TottenhamFox",
        "location": "London, England",
        "url": null,
        "description": "Petrolhead | F1 @McLaren | Tottenham ST holder since 1987 #WNS #COYS #UTY 🇬🇧🏴󠁧󠁢󠁥󠁮󠁧󠁿🇺🇸🇺🇦🇮🇱🇮🇳",
        "protected": false,
        "verified": false,
        "followers_count": 724,
        "friends_count": 1932,
        "listed_count": 2,
        "favourites_count": 65655,
        "statuses_count": 20600,
        "created_at": "2020-12-25T17:02:16.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1342515867381334021\/1735086941",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1849429056984436736\/2u_ibWaV_normal.jpg",
        "can_dm": true
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": null,
      "bookmark_count": 0,
      "lang": "qme",
      "entities": {
        "hashtags": [],
        "media": [
          {
            "display_url": "pic.x.com\/aXBzBuUKyz",
            "expanded_url": "https:\/\/x.com\/TottenhamFox\/status\/1890370620535284091\/photo\/1",
            "ext_alt_text": "Are You Not Entertained Ange Postecoglou GIF",
            "id_str": "1890370612612194304",
            "indices": [
              10,
              33
            ],
            "media_key": "16_1890370612612194304",
            "media_url_https": "https:\/\/pbs.twimg.com\/tweet_video_thumb\/GjvyDnqWYAAZA0i.jpg",
            "type": "animated_gif",
            "url": "https:\/\/t.co\/aXBzBuUKyz",
            "ext_media_availability": {
              "status": "Available"
            },
            "sizes": {
              "large": {
                "h": 374,
                "w": 498,
                "resize": "fit"
              },
              "medium": {
                "h": 374,
                "w": 498,
                "resize": "fit"
              },
              "small": {
                "h": 374,
                "w": 498,
                "resize": "fit"
              },
              "thumb": {
                "h": 150,
                "w": 150,
                "resize": "crop"
              }
            },
            "original_info": {
              "height": 374,
              "width": 498,
              "focus_rects": []
            },
            "video_info": {
              "aspect_ratio": [
                249,
                187
              ],
              "variants": [
                {
                  "bitrate": 0,
                  "content_type": "video\/mp4",
                  "url": "https:\/\/video.twimg.com\/tweet_video\/GjvyDnqWYAAZA0i.mp4"
                }
              ]
            },
            "media_results": {
              "result": {
                "media_key": "16_1890370612612194304"
              }
            }
          },
          {
            "display_url": "pic.x.com\/aXBzBuUKyz",
            "expanded_url": "https:\/\/x.com\/TottenhamFox\/status\/1890370620535284091\/photo\/1",
            "ext_alt_text": "Are You Not Entertained Ange Postecoglou GIF",
            "id_str": "1890370612612194304",
            "indices": [
              10,
              33
            ],
            "media_key": "16_1890370612612194304",
            "media_url_https": "https:\/\/pbs.twimg.com\/tweet_video_thumb\/GjvyDnqWYAAZA0i.jpg",
            "type": "animated_gif",
            "url": "https:\/\/t.co\/aXBzBuUKyz",
            "ext_media_availability": {
              "status": "Available"
            },
            "sizes": {
              "large": {
                "h": 374,
                "w": 498,
                "resize": "fit"
              },
              "medium": {
                "h": 374,
                "w": 498,
                "resize": "fit"
              },
              "small": {
                "h": 374,
                "w": 498,
                "resize": "fit"
              },
              "thumb": {
                "h": 150,
                "w": 150,
                "resize": "crop"
              }
            },
            "original_info": {
              "height": 374,
              "width": 498,
              "focus_rects": []
            },
            "video_info": {
              "aspect_ratio": [
                249,
                187
              ],
              "variants": [
                {
                  "bitrate": 0,
                  "content_type": "video\/mp4",
                  "url": "https:\/\/video.twimg.com\/tweet_video\/GjvyDnqWYAAZA0i.mp4"
                }
              ]
            },
            "media_results": {
              "result": {
                "media_key": "16_1890370612612194304"
              }
            }
          }
        ],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:48.000000Z",
      "id": 1890370604328497631,
      "id_str": "1890370604328497631",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk That's good to hear",
      "source": "<a href=\"http:\/\/twitter.com\/download\/android\" rel=\"nofollow\">Twitter for Android<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 1772164330710061056,
        "id_str": "1772164330710061056",
        "name": "Abdul_PayNet",
        "screen_name": "AbdulPaynet",
        "location": "somewhere in the Technology 🌍",
        "url": null,
        "description": "Forex trader💹 ||Military enthusiast🎖️||Cybersecurity expert | Technical analyst📊 | Exploring the intersection of finance, tech, and defense",
        "protected": false,
        "verified": false,
        "followers_count": 176,
        "friends_count": 426,
        "listed_count": 1,
        "favourites_count": 2214,
        "statuses_count": 828,
        "created_at": "2024-03-25T07:31:47.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1772164330710061056\/1722704755",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1820016871753580544\/KuWhihb1_normal.jpg",
        "can_dm": false
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": null,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:47.000000Z",
      "id": 1890370602201985377,
      "id_str": "1890370602201985377",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@sandiechill @elonmusk You are full of your own self importance aren't you.",
      "source": "<a href=\"http:\/\/twitter.com\/download\/android\" rel=\"nofollow\">Twitter for Android<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890287607336026594,
      "in_reply_to_status_id_str": "1890287607336026594",
      "in_reply_to_user_id": 301330029,
      "in_reply_to_user_id_str": "301330029",
      "in_reply_to_screen_name": "sandiechill",
      "user": {
        "id": 2917259022,
        "id_str": "2917259022",
        "name": "Mark Berney",
        "screen_name": "MarkB7634",
        "location": "Ruse, Sydney",
        "url": null,
        "description": "",
        "protected": false,
        "verified": false,
        "followers_count": 89,
        "friends_count": 502,
        "listed_count": 1,
        "favourites_count": 1600,
        "statuses_count": 3000,
        "created_at": "2014-12-03T06:43:34.000000Z",
        "profile_banner_url": null,
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1158344163982577665\/4vWpeGMr_normal.jpg",
        "can_dm": true
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": null,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "301330029",
            "name": "Sandy",
            "screen_name": "sandiechill",
            "indices": [
              0,
              12
            ]
          },
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              13,
              22
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:41.000000Z",
      "id": 1890370576335724873,
      "id_str": "1890370576335724873",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk Lmfao so are we #draintheswamp",
      "source": "<a href=\"http:\/\/twitter.com\/download\/iphone\" rel=\"nofollow\">Twitter for iPhone<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 1773424475674984448,
        "id_str": "1773424475674984448",
        "name": "Alex Thurman",
        "screen_name": "crash12899",
        "location": "",
        "url": null,
        "description": "stop the bullshit",
        "protected": false,
        "verified": false,
        "followers_count": 2,
        "friends_count": 13,
        "listed_count": 0,
        "favourites_count": 61,
        "statuses_count": 147,
        "created_at": "2024-03-28T18:58:49.000000Z",
        "profile_banner_url": null,
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1800004816992608256\/ykLPpHfJ_normal.jpg",
        "can_dm": false
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": null,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [
          {
            "indices": [
              26,
              40
            ],
            "text": "draintheswamp"
          }
        ],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:40.000000Z",
      "id": 1890370570866290801,
      "id_str": "1890370570866290801",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk Good 😊",
      "source": "<a href=\"http:\/\/twitter.com\/download\/iphone\" rel=\"nofollow\">Twitter for iPhone<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 2334264904,
        "id_str": "2334264904",
        "name": "Malik Zain Raza",
        "screen_name": "malikzain2k14",
        "location": "Dubai , UAE",
        "url": "https:\/\/www.instagram.com\/malikzaynraza?igsh=MW9vdzVwZ3c0dzZxYg%3D%3D&utm_source=qr",
        "description": "My friends says i am a good photographer 😎",
        "protected": false,
        "verified": true,
        "followers_count": 11157,
        "friends_count": 8753,
        "listed_count": 9,
        "favourites_count": 98988,
        "statuses_count": 80542,
        "created_at": "2014-02-09T19:03:04.000000Z",
        "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/2334264904\/1500491544",
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1838844726415368192\/j0XGCVUD_normal.jpg",
        "can_dm": true
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": 1,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:36.000000Z",
      "id": 1890370554508521786,
      "id_str": "1890370554508521786",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk Did you propose doge like set up to @narendramodi",
      "source": "<a href=\"https:\/\/mobile.twitter.com\" rel=\"nofollow\">Twitter Web App<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 108314800,
        "id_str": "108314800",
        "name": "The Persian Cat",
        "screen_name": "lokanathtripath",
        "location": "Bengaluru, India",
        "url": null,
        "description": "Here to waste time liking random tweets.",
        "protected": false,
        "verified": false,
        "followers_count": 331,
        "friends_count": 231,
        "listed_count": 0,
        "favourites_count": 25476,
        "statuses_count": 1641,
        "created_at": "2010-01-25T15:05:36.000000Z",
        "profile_banner_url": null,
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1600404306335010816\/nvFoyuo0_normal.jpg",
        "can_dm": true
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": 6,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          },
          {
            "id_str": "18839785",
            "name": "Narendra Modi",
            "screen_name": "narendramodi",
            "indices": [
              46,
              59
            ]
          }
        ]
      },
      "is_pinned": false
    },
    {
      "tweet_created_at": "2025-02-14T12:00:23.000000Z",
      "id": 1890370499957461420,
      "id_str": "1890370499957461420",
      "conversation_id_str": "1890269299287441612",
      "text": null,
      "full_text": "@elonmusk What brand of popcorn are you enjoying? 😁",
      "source": "<a href=\"http:\/\/twitter.com\/download\/iphone\" rel=\"nofollow\">Twitter for iPhone<\/a>",
      "truncated": false,
      "in_reply_to_status_id": 1890269299287441612,
      "in_reply_to_status_id_str": "1890269299287441612",
      "in_reply_to_user_id": 44196397,
      "in_reply_to_user_id_str": "44196397",
      "in_reply_to_screen_name": "elonmusk",
      "user": {
        "id": 382347478,
        "id_str": "382347478",
        "name": "Mark Sampson",
        "screen_name": "mindvittles",
        "location": "Ontario, Canada",
        "url": null,
        "description": "Family man, travel enthusiast, outdoor lover, FITFO & FAFO practitioner, Martin Short is my twin.",
        "protected": false,
        "verified": false,
        "followers_count": 68,
        "friends_count": 45,
        "listed_count": 3,
        "favourites_count": 65,
        "statuses_count": 604,
        "created_at": "2011-09-29T22:31:56.000000Z",
        "profile_banner_url": null,
        "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/726048566364520448\/XuQZEaKW_normal.jpg",
        "can_dm": true
      },
      "quoted_status_id": null,
      "quoted_status_id_str": null,
      "is_quote_status": false,
      "quoted_status": null,
      "retweeted_status": null,
      "quote_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "favorite_count": 0,
      "views_count": 1,
      "bookmark_count": 0,
      "lang": "en",
      "entities": {
        "hashtags": [],
        "symbols": [],
        "timestamps": [],
        "urls": [],
        "user_mentions": [
          {
            "id_str": "44196397",
            "name": "Elon Musk",
            "screen_name": "elonmusk",
            "indices": [
              0,
              9
            ]
          }
        ]
      },
      "is_pinned": false
    }
  ],
  "next_cursor": "1890370499957461419"
}
```

#### 402

```json
{
    "status": "error",
    "message": "Insufficient balance"
}
```

#### 404

```json
{
    "status": "error",
    "message": "Tweet not found"
}
```

#### 500

```json
{
    "status": "error",
    "message": "Failed to fetch data from Twitter"
}
```

## Response Codes

-   **200 OK** - request succeeded
-   **402 Payment Required** - not enough credits to perform this request
-   **404 Not Found** - requested tweet does not exist
-   **422 Unprocessable Content** - validation failed (e.g. one of the required parameters was not provided)
-   **500 Internal Error** - API internal error, typically means that SocialData API failed to obtain the requested information and you should try again later

## Related endpoints

-   [Get tweet quotes](https://docs.socialdata.tools/reference/get-tweet-quotes/)
-   [Get tweet retweeters](https://docs.socialdata.tools/reference/get-tweet-retweeters/)
-   [Verify user retweeted](https://docs.socialdata.tools/social-actions/verify-user-retweeted/)
-   [Verify user commented](https://docs.socialdata.tools/social-actions/verify-user-commented/)

## Before you integrate

-   [Authentication](https://docs.socialdata.tools/getting-started/authentication/)
-   [Rate limits](https://docs.socialdata.tools/getting-started/rate-limits/)
-   [Errors](https://docs.socialdata.tools/getting-started/errors/)
-   [Pricing](https://docs.socialdata.tools/getting-started/pricing/)
